JCMA Rest API
This is the JCMA REST API for creating & running plans.
Version: 1.0.0
All rights reserved
http://apache.org/licenses/LICENSE-2.0.html
Access
[ Jump to Models ]
Table of Contents
Up
put /plan/{id}/archive
(archivePlan)
Archive a plan
Path parameters
id (required)
Path Parameter — Plan ID
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
default
default response
Up
post /plan/{id}/cancel-project
(cancelProject)
Cancel a plan
Path parameters
id (required)
Path Parameter — Plan ID
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — List of projects
Responses
200
Plan cancelled
404
No such plan
Up
post /plan/{planId}/copy
(copyPlan)
Copy a plan
Path parameters
planId (required)
Path Parameter — Plan ID
Query parameters
copyCreatedTime (optional)
Query Parameter — Time at which plan's copy was created' format: int64
Return type
Example data
Content-Type: application/json
{
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Copied
PlanMonitor
404
No such plan
Up
post /plan/v2/{planId}/copy
(copyPlanV2)
Copy a plan whilst removing invalid project keys from original plan if any.
Path parameters
planId (required)
Path Parameter — Plan ID
Query parameters
copyCreatedTime (optional)
Query Parameter — Time at which plan's copy was created' format: int64
Return type
Example data
Content-Type: application/json
{
"removedProjectKeys" : [ "removedProjectKeys", "removedProjectKeys" ],
"planId" : "planId"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Copied
CopyPlanResponse
404
No such plan
(deletePlan)
Delete a plan
Path parameters
id (required)
Path Parameter — Plan ID
Responses
200
Deleted
404
No such plan
(getLogs)
Retrieve logs for a plan
Path parameters
id (required)
Path Parameter — Plan ID
Return type
byte[]
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Logs retrieved
byte[]
404
No such plan
(getPlanConfiguration)
Retrieve a plan configuration
Path parameters
id (required)
Path Parameter — Plan ID
Return type
Example data
Content-Type: application/json
{
"planIds" : [ 0, 0 ],
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"migrationType" : "CLASSIC",
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"appsMigrationOption" : {
"includedCloudApps" : [ "includedCloudApps", "includedCloudApps" ],
"includedApps" : [ "includedApps", "includedApps" ],
"preloadableApps" : [ "preloadableApps", "preloadableApps" ],
"preload" : true,
"migrate" : true,
"excludedAppsRequested" : [ "excludedAppsRequested", "excludedAppsRequested" ]
},
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"manualImportFile" : "manualImportFile",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"projectKeys" : [ "projectKeys", "projectKeys" ],
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
},
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"createdTimestamp" : 6,
"projectDataMigrationMode" : "NONE",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"preflightChecksToRun" : [ "TrustedDomains", "TrustedDomains" ],
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"planPhase" : "PREPARE_PLAN",
"assetsSchemaKeys" : [ "assetsSchemaKeys", "assetsSchemaKeys" ],
"forceRelinking" : true,
"usersGroupsMigrationOption" : {
"mode" : "ALL",
"includeUsersInGroups" : true,
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"includeRoleActors" : true,
"memberships" : true
},
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"excludedProjectKeys" : [ "excludedProjectKeys", "excludedProjectKeys" ],
"name" : "name",
"migrationTag" : "NOT_SPECIFIED",
"isCustomFieldsDeleted" : true
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Config retrieved
PlanConfig
404
No such plan
(getPlanWithContentStatsAndStatus)
Retrieve a plan
Path parameters
id (required)
Path Parameter — Plan ID
Return type
Example data
Content-Type: application/json
{
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Plan retrieved
PlanMonitor
404
No such plan
(listPlans)
List all plans
Return type
Example data
Content-Type: application/json
{
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved
PlanMonitor
Up
get /plan/details/{id}
(planDetails)
Retrieve plan details
Path parameters
id (required)
Path Parameter — Plan ID
Query parameters
projectOffset (optional)
Query Parameter — Start of project list format: int32
projectLimit (optional)
Query Parameter — Number of projects format: int32
Return type
Example data
Content-Type: application/json
{
"usersGroupsMigrationOption" : {
"mode" : "ALL",
"includeUsersInGroups" : true,
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"includeRoleActors" : true,
"memberships" : true
},
"appsMigrationOption" : {
"includedCloudApps" : [ "includedCloudApps", "includedCloudApps" ],
"includedApps" : [ "includedApps", "includedApps" ],
"preloadableApps" : [ "preloadableApps", "preloadableApps" ],
"preload" : true,
"migrate" : true,
"excludedAppsRequested" : [ "excludedAppsRequested", "excludedAppsRequested" ]
},
"stats" : {
"attachments" : {
"totalSizeBytes" : 0
},
"totalUsers" : 5,
"totalCustomers" : 7,
"totalDashboards" : 7,
"totalObjectSchemas" : 1,
"totalGroups" : 2,
"projectStatsOf" : {
"key" : {
"totalProjects" : 9,
"totalIssues" : 3
}
},
"totalRapidViews" : 2,
"totalMigrationTimeSeconds" : 6,
"totalProjects" : 1,
"totalFilters" : 4,
"totalIssues" : 5,
"totalObjects" : 1
},
"projectDataMigrationMode" : "NONE",
"progress" : {
"projects" : [ {
"archived" : true,
"projectKey" : "projectKey",
"isArchived" : true,
"projectType" : "projectType",
"projectName" : "projectName",
"taskStatus" : "SAVED_READY"
}, {
"archived" : true,
"projectKey" : "projectKey",
"isArchived" : true,
"projectType" : "projectType",
"projectName" : "projectName",
"taskStatus" : "SAVED_READY"
} ],
"usersAndGroups" : {
"groups" : {
"total" : 4,
"completionDetails" : "completionDetails",
"successfullyCompleted" : 1,
"additionalProperties" : {
"key" : { }
},
"status" : "READY"
},
"taskStatus" : "SAVED_READY"
},
"preflightStatusResponse" : {
"checks" : [ {
"checkType" : "checkType",
"numberOfOccurrences" : 7,
"lastExecution" : 1,
"link" : {
"text" : "text",
"url" : "url"
},
"executionErrorCode" : 6,
"description" : "description",
"details" : {
"longDescription" : "longDescription",
"listOfOccurrences" : [ { }, { } ],
"info" : {
"key" : { }
}
},
"status" : "Running"
}, {
"checkType" : "checkType",
"numberOfOccurrences" : 7,
"lastExecution" : 1,
"link" : {
"text" : "text",
"url" : "url"
},
"executionErrorCode" : 6,
"description" : "description",
"details" : {
"longDescription" : "longDescription",
"listOfOccurrences" : [ { }, { } ],
"info" : {
"key" : { }
}
},
"status" : "Running"
} ]
},
"paginatedProjects" : {
"total" : 8,
"projects" : [ null, null ],
"offset" : 9,
"limit" : 6
},
"crossProjectEntityProgress" : { },
"overallStatus" : "SAVED",
"singlePathMode" : "PROJECT_BY_PROJECT",
"apps" : [ {
"serverAppName" : "serverAppName",
"lastUpdatedAt" : 9,
"cloudAppKey" : "cloudAppKey",
"appVendorName" : "appVendorName",
"serverAppKey" : "serverAppKey",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"contactVendorUrl" : "contactVendorUrl",
"isCancellable" : true,
"completionPercent" : 5,
"containerId" : "containerId",
"multiTransfers" : [ {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
}, {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
} ],
"isReadyToUse" : true,
"status" : "status"
}, {
"serverAppName" : "serverAppName",
"lastUpdatedAt" : 9,
"cloudAppKey" : "cloudAppKey",
"appVendorName" : "appVendorName",
"serverAppKey" : "serverAppKey",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"contactVendorUrl" : "contactVendorUrl",
"isCancellable" : true,
"completionPercent" : 5,
"containerId" : "containerId",
"multiTransfers" : [ {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
}, {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
} ],
"isReadyToUse" : true,
"status" : "status"
} ],
"projectAndAttachments" : [ {
"progressDetails" : "progressDetails",
"name" : "name",
"progress" : "progress",
"status" : "SAVED_READY"
}, {
"progressDetails" : "progressDetails",
"name" : "name",
"progress" : "progress",
"status" : "SAVED_READY"
} ],
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
},
"projectAndAttachments" : [ null, null ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Details retrieved
PlanDetails
404
No such plan
Up
get /plan/progress/{id}/details
(planDetailsProgress)
Retrieve plan details progress
Path parameters
id (required)
Path Parameter — Plan ID
Query parameters
projectOffset (optional)
Query Parameter — Start of project list format: int32
projectLimit (optional)
Query Parameter — Number of projects format: int32
Return type
Example data
Content-Type: application/json
{
"projects" : [ {
"archived" : true,
"projectKey" : "projectKey",
"isArchived" : true,
"projectType" : "projectType",
"projectName" : "projectName",
"taskStatus" : "SAVED_READY"
}, {
"archived" : true,
"projectKey" : "projectKey",
"isArchived" : true,
"projectType" : "projectType",
"projectName" : "projectName",
"taskStatus" : "SAVED_READY"
} ],
"usersAndGroups" : {
"groups" : {
"total" : 4,
"completionDetails" : "completionDetails",
"successfullyCompleted" : 1,
"additionalProperties" : {
"key" : { }
},
"status" : "READY"
},
"taskStatus" : "SAVED_READY"
},
"preflightStatusResponse" : {
"checks" : [ {
"checkType" : "checkType",
"numberOfOccurrences" : 7,
"lastExecution" : 1,
"link" : {
"text" : "text",
"url" : "url"
},
"executionErrorCode" : 6,
"description" : "description",
"details" : {
"longDescription" : "longDescription",
"listOfOccurrences" : [ { }, { } ],
"info" : {
"key" : { }
}
},
"status" : "Running"
}, {
"checkType" : "checkType",
"numberOfOccurrences" : 7,
"lastExecution" : 1,
"link" : {
"text" : "text",
"url" : "url"
},
"executionErrorCode" : 6,
"description" : "description",
"details" : {
"longDescription" : "longDescription",
"listOfOccurrences" : [ { }, { } ],
"info" : {
"key" : { }
}
},
"status" : "Running"
} ]
},
"paginatedProjects" : {
"total" : 8,
"projects" : [ null, null ],
"offset" : 9,
"limit" : 6
},
"crossProjectEntityProgress" : { },
"overallStatus" : "SAVED",
"singlePathMode" : "PROJECT_BY_PROJECT",
"apps" : [ {
"serverAppName" : "serverAppName",
"lastUpdatedAt" : 9,
"cloudAppKey" : "cloudAppKey",
"appVendorName" : "appVendorName",
"serverAppKey" : "serverAppKey",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"contactVendorUrl" : "contactVendorUrl",
"isCancellable" : true,
"completionPercent" : 5,
"containerId" : "containerId",
"multiTransfers" : [ {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
}, {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
} ],
"isReadyToUse" : true,
"status" : "status"
}, {
"serverAppName" : "serverAppName",
"lastUpdatedAt" : 9,
"cloudAppKey" : "cloudAppKey",
"appVendorName" : "appVendorName",
"serverAppKey" : "serverAppKey",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"contactVendorUrl" : "contactVendorUrl",
"isCancellable" : true,
"completionPercent" : 5,
"containerId" : "containerId",
"multiTransfers" : [ {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
}, {
"lastUpdatedAt" : 6,
"isCancellable" : true,
"completionPercent" : 9,
"transferId" : "transferId",
"statusMessage" : "statusMessage",
"notCancellableTooltip" : "notCancellableTooltip",
"transferName" : "transferName",
"status" : "status"
} ],
"isReadyToUse" : true,
"status" : "status"
} ],
"projectAndAttachments" : [ {
"progressDetails" : "progressDetails",
"name" : "name",
"progress" : "progress",
"status" : "SAVED_READY"
}, {
"progressDetails" : "progressDetails",
"name" : "name",
"progress" : "progress",
"status" : "SAVED_READY"
} ],
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Details retrieved
PlanProgress
404
No such plan
Up
get /plan/progress/{id}
(planProgress)
Retrieve plan progress
Path parameters
id (required)
Path Parameter — Plan ID
Return type
Example data
Content-Type: application/json
{
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Progress retrieved
MigrationStatus
404
No such plan
Up
get /plan/{id}/projects
(planProjects)
Retrieve plan projects
Path parameters
id (required)
Path Parameter — Plan ID
Return type
Example data
Content-Type: application/json
{
"archived" : true,
"attachments" : {
"totalSizeBytes" : 0
},
"totalIssues" : 6,
"lastActive" : "2000-01-23T04:56:07.000+00:00",
"isArchived" : true,
"name" : "name",
"migrationEstimateSeconds" : 1,
"id" : 0,
"type" : "type",
"category" : "category",
"key" : "key",
"lead" : "lead"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Projects retrieved
ServerProjectDto
404
No such plan
Up
put /plan/{id}/restore
(restoreArchivedPlan)
Restore a plan
Path parameters
id (required)
Path Parameter — Plan ID
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
default
default response
Up
post /plan/save-and-start
(saveAndStartPlan)
Save and start a plan
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — Plan Configuration
Return type
Example data
Content-Type: application/json
{
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Saved
PlanMonitor
400
Invalid data provided
(savePlan)
Save a plan
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — Plan Configuration
Return type
Example data
Content-Type: application/json
{
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Saved
PlanMonitor
400
Invalid data provided
Up
post /plan/{id}/cutover
(scheduleFinalIncrement)
Cutover an incremental plan
Path parameters
id (required)
Path Parameter — Plan ID
Responses
200
Retrieved
404
No such plan
(startPlan)
Start a plan
Path parameters
id (required)
Path Parameter — Plan ID
Return type
Example data
Content-Type: application/json
{
"migrationStatus" : {
"coreStatus" : "SAVED_READY",
"appStatus" : "READY",
"overallStatus" : "SAVED",
"infraOptimisationProgress" : {
"status" : "NOT_RUNNING"
}
},
"plan" : {
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"createdTimestamp" : 6,
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"planName" : "planName",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"migrationType" : "CLASSIC",
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"activeStatus" : "ACTIVE",
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"manualImportFile" : "manualImportFile",
"planId" : "planId",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"migrationTag" : "NOT_SPECIFIED",
"jsdPlan" : true,
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Started
PlanMonitor
404
No such plan
(updatePlanApps)
Update a plan's apps from app assessment
Path parameters
id (required)
Path Parameter — Plan ID
Responses
200
Plan apps updated
404
No such plan
(updatePlanConfiguration)
Update a plan configuration
Path parameters
id (required)
Path Parameter — Plan ID
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — Plan Configuration
Return type
Example data
Content-Type: application/json
{
"planIds" : [ 0, 0 ],
"cloudSite" : {
"cloudUrl" : "cloudUrl",
"cloudType" : "STANDARD",
"cloudId" : "cloudId",
"edition" : "free",
"products" : [ {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
}, {
"edition" : "free",
"usersCount" : 0,
"productKey" : "confluence.ondemand"
} ]
},
"crossProjectBoardsAndFiltersMigrationOption" : {
"crossProjectBoardsCount" : 1,
"crossProjectFiltersCount" : 5,
"boardsAndFiltersMigrationMode" : "ALL"
},
"assetsDataMigrationMode" : "ALL",
"userPreMigration" : true,
"migrationType" : "CLASSIC",
"attachmentFilters" : {
"systemAttributes" : [ null, null ]
},
"singlePathMode" : "PROJECT_BY_PROJECT",
"dashboardsMigrationMode" : "ALL",
"appsMigrationOption" : {
"includedCloudApps" : [ "includedCloudApps", "includedCloudApps" ],
"includedApps" : [ "includedApps", "includedApps" ],
"preloadableApps" : [ "preloadableApps", "preloadableApps" ],
"preload" : true,
"migrate" : true,
"excludedAppsRequested" : [ "excludedAppsRequested", "excludedAppsRequested" ]
},
"advancedRoadmapsMigrationOption" : {
"advancedRoadmapsMigrationMode" : "ALL",
"advancedRoadmapsPlansCount" : 5
},
"manualImportFile" : "manualImportFile",
"liftAndShiftMode" : "AUTOMATIC",
"migrateArchivedIssues" : true,
"projectKeys" : [ "projectKeys", "projectKeys" ],
"issueFilters" : {
"systemAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"type" : "STATUS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ],
"customAttributes" : [ {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
}, {
"scopedProjects" : [ "scopedProjects", "scopedProjects" ],
"name" : "name",
"type" : "LABELS",
"value" : [ "value", "value" ],
"operator" : "operator"
} ]
},
"pbpMigrationMode" : "CHOOSE_WHAT_TO_MIGRATE",
"createdTimestamp" : 6,
"projectDataMigrationMode" : "NONE",
"jiraDataMigrationOption" : {
"attachmentsMigrationMode" : "ALL"
},
"preflightChecksToRun" : [ "TrustedDomains", "TrustedDomains" ],
"preflightChecksToOverride" : [ "TrustedDomains", "TrustedDomains" ],
"planPhase" : "PREPARE_PLAN",
"assetsSchemaKeys" : [ "assetsSchemaKeys", "assetsSchemaKeys" ],
"forceRelinking" : true,
"usersGroupsMigrationOption" : {
"mode" : "ALL",
"includeUsersInGroups" : true,
"jsdCustomersMigrationOption" : {
"mode" : "ALL"
},
"includeRoleActors" : true,
"memberships" : true
},
"preflightCheckExecutionId" : "preflightCheckExecutionId",
"excludedProjectKeys" : [ "excludedProjectKeys", "excludedProjectKeys" ],
"name" : "name",
"migrationTag" : "NOT_SPECIFIED",
"isCustomFieldsDeleted" : true
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Config updated
PlanConfig
404
No such plan
(validatePlanName)
Validate a plan
Query parameters
name (optional)
Query Parameter — Plan Name
planId (optional)
Query Parameter — Plan ID
Return type
Boolean
Example data
Content-Type: application/json
true
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
default
default response
Boolean
[ Jump to Methods ]
Table of Contents
AdvancedRoadmapsMigrationOption
AppProgress
AppsMigrationOption
AttachmentFilters
AttachmentStatsDto
CheckDetailsDto
CheckResultDto
ChecksResultDto
CloudProductInfo
CloudSiteDto
CopyPlanResponse
CrossProjectBoardsAndFiltersMigrationOption
CrossProjectEntityProgress
CustomAttributeFilter
EntityProgress
GeneralTaskProgress
InfraProgress
IssueFilters
JiraDataMigrationOption
JsdCustomersMigrationOption
LinkDto
MigrationStatus
MultiTransfer
PaginatedProjectProgressDto
PlanConfig
PlanDetails
PlanInfo
PlanMonitor
PlanProgress
ProjectKeyList
ProjectProgress
ProjectTypeStatsDto
ServerProjectDto
StatsDto
SystemAttributeFilter
UsersAndGroupsProgress
UsersGroupsMigrationOption
advancedRoadmapsMigrationMode (optional)
ALL
NONE
SELECTED_PROJECTS
advancedRoadmapsPlansCount (optional)
serverAppName (optional)
serverAppKey (optional)
cloudAppKey (optional)
completionPercent (optional)
isCancellable (optional)
status (optional)
statusMessage (optional)
lastUpdatedAt (optional)
appVendorName (optional)
contactVendorUrl (optional)
containerId (optional)
notCancellableTooltip (optional)
isReadyToUse (optional)
multiTransfers (optional)
migrate (optional)
excludedAppsRequested (optional)
includedApps (optional)
includedCloudApps (optional)
preload (optional)
preloadableApps (optional)
systemAttributes (optional)
totalSizeBytes (optional)
longDescription (optional)
link (optional)
listOfOccurrences (optional)
info (optional)
checkType (optional)
status (optional)
Running
Success
Error
Warning
ExecutionError
lastExecution (optional)
executionErrorCode (optional)
description (optional)
numberOfOccurrences (optional)
link (optional)
details (optional)
productKey (optional)
confluence.ondemand
jira-core.ondemand
jira-software.ondemand
jira-servicedesk.ondemand
edition (optional)
free
standard
premium
usersCount (optional)
cloudId (optional)
cloudUrl (optional)
edition (optional)
free
standard
premium
products (optional)
cloudType (optional)
STANDARD
FEDRAMP
planId (optional)
removedProjectKeys (optional)
boardsAndFiltersMigrationMode (optional)
ALL
NONE
SELECTED_PROJECTS
crossProjectBoardsCount (optional)
crossProjectFiltersCount (optional)
crossProjectRapidViewProgress (optional)
crossProjectFiltersProgress (optional)
dashboardsProgress (optional)
type (optional)
LABELS
SELECT
MULTISELECT
VERSION
MULTICHECKBOXES
INVALID
name (optional)
operator (optional)
value (optional)
scopedProjects (optional)
status (optional)
READY
RUNNING_EXPORTING
RUNNING_MIGRATING
COMPLETE
INCOMPLETE
FAILED
SKIPPED
UNKNOWN
successfullyCompleted (optional)
total (optional)
completionDetails (optional)
additionalProperties (optional)
name (optional)
status (optional)
SAVED_READY
RUNNING
COMPLETE
UNKNOWN
INCOMPLETE
FAILED
progress (optional)
progressDetails (optional)
status (optional)
NOT_RUNNING
RUNNING
systemAttributes (optional)
customAttributes (optional)
attachmentsMigrationMode (optional)
ALL
NONE
mode (optional)
ALL
REFERENCED
NONE
text (optional)
url (optional)
infraOptimisationProgress (optional)
overallStatus (optional)
SAVED
RUNNING
INCOMPLETE
FAILED
COMPLETE
UNKNOWN
appStatus (optional)
READY
RUNNING
INCOMPLETE
FAILED
COMPLETE
NO_APPS
UNKNOWN
coreStatus (optional)
SAVED_READY
SAVED_PREFLIGHT_ERROR
SAVED_INCOMPLETE
VALIDATING
RUNNING
INCOMPLETE
FAILED
COMPLETE
UNKNOWN
transferId (optional)
transferName (optional)
completionPercent (optional)
status (optional)
statusMessage (optional)
lastUpdatedAt (optional)
isCancellable (optional)
notCancellableTooltip (optional)
total (optional)
offset (optional)
limit (optional)
projects (optional)
name (optional)
projectKeys (optional)
planIds (optional)
cloudSite (optional)
usersGroupsMigrationOption (optional)
appsMigrationOption (optional)
projectDataMigrationMode (optional)
NONE
ALL
CONFIG_ONLY
ATTACHMENTS_ONLY
ATTACHMENTS_ONLY_V2
MEDIA_UPLOAD_LINK
MEDIA_UPLOAD_ONLY
LIFT_AND_SHIFT
APP_DATA_PRELOAD
forceRelinking (optional)
migrationType (optional)
CLASSIC
INCREMENTAL
preflightCheckExecutionId (optional)
preflightChecksToRun (optional)
preflightChecksToOverride (optional)
isCustomFieldsDeleted (optional)
createdTimestamp (optional)
singlePathMode (optional)
PROJECT_BY_PROJECT
LIFT_AND_SHIFT
migrationTag (optional)
NOT_SPECIFIED
TEST
PROD
manualImportFile (optional)
liftAndShiftMode (optional)
AUTOMATIC
MANUAL_EXPORT
MANUAL_IMPORT
jiraDataMigrationOption (optional)
crossProjectBoardsAndFiltersMigrationOption (optional)
dashboardsMigrationMode (optional)
ALL
NONE
SELECTED_PROJECTS
planPhase (optional)
PREPARE_PLAN
MIGRATE
assetsSchemaKeys (optional)
assetsDataMigrationMode (optional)
ALL
NONE
SELECTED_PROJECTS
SCHEMA_BY_SCHEMA
userPreMigration (optional)
migrateArchivedIssues (optional)
pbpMigrationMode (optional)
CHOOSE_WHAT_TO_MIGRATE
SELECT_ALL_DATA
excludedProjectKeys (optional)
advancedRoadmapsMigrationOption (optional)
issueFilters (optional)
attachmentFilters (optional)
plan (optional)
usersGroupsMigrationOption (optional)
appsMigrationOption (optional)
projectDataMigrationMode (optional)
NONE
ALL
CONFIG_ONLY
ATTACHMENTS_ONLY
ATTACHMENTS_ONLY_V2
MEDIA_UPLOAD_LINK
MEDIA_UPLOAD_ONLY
LIFT_AND_SHIFT
APP_DATA_PRELOAD
stats (optional)
progress (optional)
migrationStatus (optional)
projectAndAttachments (optional)
planId (optional)
planName (optional)
migrationType (optional)
CLASSIC
INCREMENTAL
preflightCheckExecutionId (optional)
cloudSite (optional)
preflightChecksToOverride (optional)
jsdPlan (optional)
activeStatus (optional)
ACTIVE
ARCHIVED
createdTimestamp (optional)
singlePathMode (optional)
PROJECT_BY_PROJECT
LIFT_AND_SHIFT
migrationTag (optional)
NOT_SPECIFIED
TEST
PROD
manualImportFile (optional)
liftAndShiftMode (optional)
AUTOMATIC
MANUAL_EXPORT
MANUAL_IMPORT
jiraDataMigrationOption (optional)
crossProjectBoardsAndFiltersMigrationOption (optional)
assetsDataMigrationMode (optional)
ALL
NONE
SELECTED_PROJECTS
SCHEMA_BY_SCHEMA
userPreMigration (optional)
jsdCustomersMigrationOption (optional)
migrateArchivedIssues (optional)
dashboardsMigrationMode (optional)
ALL
NONE
SELECTED_PROJECTS
pbpMigrationMode (optional)
CHOOSE_WHAT_TO_MIGRATE
SELECT_ALL_DATA
advancedRoadmapsMigrationOption (optional)
issueFilters (optional)
attachmentFilters (optional)
plan (optional)
migrationStatus (optional)
overallStatus (optional)
SAVED
RUNNING
INCOMPLETE
FAILED
COMPLETE
UNKNOWN
preflightStatusResponse (optional)
usersAndGroups (optional)
projects (optional)
advancedRoadmapsPlanProgress (optional)
crossProjectEntityProgress (optional)
apps (optional)
paginatedProjects (optional)
projectAndAttachments (optional)
singlePathMode (optional)
PROJECT_BY_PROJECT
LIFT_AND_SHIFT
infraOptimisationProgress (optional)
taskStatus (optional)
SAVED_READY
RUNNING
COMPLETE
UNKNOWN
INCOMPLETE
FAILED
projectName (optional)
projectKey (optional)
projectType (optional)
isArchived (optional)
projectData (optional)
attachments (optional)
preloadedAppData (optional)
archived (optional)
totalProjects (optional)
totalIssues (optional)
attachments (optional)
id (optional)
key (optional)
name (optional)
totalIssues (optional)
lastActive (optional)
attachments (optional)
migrationEstimateSeconds (optional)
type (optional)
category (optional)
lead (optional)
isArchived (optional)
archived (optional)
attachments (optional)
totalMigrationTimeSeconds (optional)
totalProjects (optional)
totalIssues (optional)
totalUsers (optional)
totalGroups (optional)
totalCustomers (optional)
projectStatsOf (optional)
totalRapidViews (optional)
totalFilters (optional)
totalDashboards (optional)
totalObjectSchemas (optional)
totalObjects (optional)
type (optional)
STATUS
CREATORACTIVE
ISSUECREATEDDATE
ATTACHMENTCREATEDDATE
ATTACHMENTSIZE
ARCHIVEDSTATUS
ISSUELABELS
operator (optional)
value (optional)
scopedProjects (optional)
taskStatus (optional)
SAVED_READY
RUNNING
COMPLETE
UNKNOWN
INCOMPLETE
FAILED
groups (optional)
users (optional)
jsdCustomers (optional)
memberships (optional)
mode (optional)
ALL
REFERENCED
NONE
memberships (optional)
includeUsersInGroups (optional)
includeRoleActors (optional)
jsdCustomersMigrationOption (optional)